// CPACMNDg.hpp : header file
/////////////////////////////////////////////////////////////////////////////

#ifndef _CPACDLGMN_HPP_
#define _CPACDLGMN_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


#include "EdAcIRes.h"

/////////////////////////////////////////////////////////////////////////////
// EdActors_ActorNameChangeDialog dialog

class EdActors_ActorNameChangeDialog : public CDialog
{
// Construction
public:
	EdActors_ActorNameChangeDialog(CString csProposedName, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EdActors_ActorNameChangeDialog)
	enum { IDD = IDD_CAR_D_ACTOR_SET_NAME };
	CString	m_csNewName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EdActors_ActorNameChangeDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EdActors_ActorNameChangeDialog)
	virtual void OnOK();
	afx_msg void OnDestroy();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif //_CPACDLGMN_HPP_
